:root {
    /* Colours */
    --primary-cream: #fcf8ec;
    --primary-green: #447158;
    --primary-orange: #e86748;

    /* Fonts */
    --default-h-font: "bd-supper", Sans-Serif;
    --default-h-weight: 700;
    --default-h-style: normal;

    /* Spacing */
    --default-pad-tb: 5.5%;
    --default-pad-lr: 16%;
}

html,
body {
    margin: 0;
    padding: 0;
    min-height: 100%;
    overflow: hidden;
}

body {
    min-height: 100dvh;
    width: 100%;
    background: var(--primary-cream);
    cursor: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--default-h-font);
    font-weight: var(--default-h-weight);
    font-style: var(--default-h-style);
    color: var(--primary-green);
    text-transform: uppercase;
    margin: 0;
    padding: 0;
}

.cursorObserver {
    position: absolute;
    width: 3em;
    aspect-ratio: 1;
    pointer-events: none;
    z-index: 999999999;
}

section.container {
    position: relative;
    min-height: 100dvh;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    /* padding:
        clamp(2rem, 5vw, 5rem)
        clamp(1.5rem, 8vw, 16%); */
}

.contentWrapper {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    text-align: center;
    width: min(100%, 1200px);
    margin-inline: auto;
    z-index: 10;
}

.contentWrapper h1 {
    font-size: clamp(4rem, 14vw, 15rem);
    line-height: .9;
}

.contentWrapper h2 {
    font-size: clamp(1.4rem, 4vw, 5rem);
}

.backgroundItem {
    position: absolute;
    z-index: 1;

    width: clamp(18rem, 45vw, 50rem);
    height: auto;

    aspect-ratio: 1;
    pointer-events: none;
}

.left {
    top: 35%;
    left: max(-18rem, -18vw);
    animation: spin 15s linear infinite;
}

.right {
    top: -10%;
    right: max(-18rem, -18vw);
    animation: spin 15s linear infinite reverse;
}

/* Responsiveness */
@media (max-width: 1400px) {

    .contentWrapper h1 {
        line-height: .95;
    }

    .backgroundItem {
        width: 42rem;
    }

}

@media (max-width: 992px) {

    .contentWrapper {
        gap: .75rem;
    }

    .backgroundItem {
        width: 34rem;
    }

    .left {
        left: -16rem;
    }

    .right {
        right: -16rem;
    }

    .cursorObserver {
        display: none;
    }

}

@media (max-width: 767px) {

    html,
    body {
        cursor: auto;
        overflow: hidden;
    }

    .cursorObserver {
        display: none;
    }

    section.container {
        padding: 2rem 1.5rem;
    }

    .contentWrapper {
        gap: .5rem;
    }

    .contentWrapper h1 {
        font-size: clamp(3rem, 17vw, 5.5rem);
        line-height: .95;
    }

    .contentWrapper h2 {
        font-size: clamp(2.2rem, 8vw, 4rem);
    }

    .backgroundItem {
        width: 52rem;
    }

    .left {
        top: 68%;
        left: -13rem;
    }

    .right {
        top: -80vh;
        right: -13rem;
    }

}

@media (max-width: 400px) {
    html,
    body {
        overflow: hidden;
    }

    .contentWrapper h1 {
        font-size: 2.7rem;
    }

    .contentWrapper h2 {
        font-size: 1rem;
    }

}

/* Animations */
@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}